Distribution:   CCux Linux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Name:		TiMidity++
Version:	2.13.0
Release:	1
License:	GNU/GPL 
URL:		http://timidity.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Source1:	timidity-patches_0.1-5.tar.gz
Patch0:		tse3-0.2.7-gcc34.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A handy MIDI to WAV converter with OSS and ALSA output support
BuildRequires:	alsa-lib-devel 
BuildRequires:  audiofile-devel
BuildRequires:	arts-devel 
BuildRequires:	ncurses-devel 
BuildRequires:  esound-devel 
BuildRequires:  gtk+-devel 
BuildRequires:	glibc-devel
BuildRequires:	libogg-devel
BuildRequires:  libvorbis-devel 
BuildRequires:  xorg-devel
BuildRequires:	libpng-devel 
BuildRequires:  zlib-devel



%description
A handy MIDI to WAV converter with OSS and ALSA output support

%post
/bin/chgrp -R audio /usr/share/timidity

%prep
%setup -q -n %{name}-%{version} -a1
sed -i "s#dir /sedona/users/klee/instruments#dir %{_datadir}/timidity/instruments#" timidity-patches-0.1/cfg/timidity.cfg

%build
./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir \
	--with-x --enable-spectrogram --enable-wrd --localstatedir=/var/state/timidity++ \
	--enable-audio=alsa,vorbis,esd --with-default-output=alsa --enable-server \
	--enable-network --enable-alsaseq
make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT
install -m 774  -d  %{buildroot}%{_datadir}/timidity/instruments
install -m 774 timidity-patches-0.1/cfg/*.cfg %{buildroot}%{_datadir}/timidity/
install -m 774 timidity-patches-0.1/pat/* %{buildroot}%{_datadir}/timidity/instruments/
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_mandir
%_bindir
%{_datadir}/timidity

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.13.0-1
- Initial Release
